summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2012-02-19 22:29:32 +0100
committer Robby Workman2012-02-20 19:20:46 +0100
commitb3c8ac4b4fc631a0b982b4b478a38d5727aecec2 (patch)
tree697e792d27b6327b4b2ef06aa282e41f39c49650
parent57c5231db012420e75f2a682adfc15ae9b048efc (diff)
downloadslackbuilds-b3c8ac4b4fc631a0b982b4b478a38d5727aecec2.tar.gz
games/alephone: Added (open-source Marathon 2 engine)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--games/alephone/README16
-rw-r--r--games/alephone/alephone.SlackBuild93
-rw-r--r--games/alephone/alephone.info10
-rw-r--r--games/alephone/alephone.pngbin0 -> 34235 bytes
-rw-r--r--games/alephone/doinst.sh5
-rw-r--r--games/alephone/slack-desc19
6 files changed, 143 insertions, 0 deletions
diff --git a/games/alephone/README b/games/alephone/README
new file mode 100644
index 0000000000..0dfce2a6e7
--- /dev/null
+++ b/games/alephone/README
@@ -0,0 +1,16 @@
+Aleph One is the open source continuation of Bungie's Marathon 2 game
+engine. Available for Mac OS X, Windows, and Linux, Aleph One supports
+Marathon 2 and Marathon Infinity natively, and Marathon through a
+conversion called M1A1. Many third party scenarios and net maps are
+also available.
+
+Aleph One is available under the terms of the GNU General Public License
+(GPL).
+
+Aleph One is just a game engine. The game data from at least one of
+the Marathon series is required to play. Install one or more of
+marathon-data, marathon2-data, and/or marathon-infinite-data.
+
+See the READMEs for the game data packages for more information.
+
+This requires lua, speex, and zziplib.
diff --git a/games/alephone/alephone.SlackBuild b/games/alephone/alephone.SlackBuild
new file mode 100644
index 0000000000..f6bd3a6c07
--- /dev/null
+++ b/games/alephone/alephone.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for alephone
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=alephone
+VERSION=${VERSION:-20111201}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM="AlephOne"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+# This isn't a standalone app, so don't install a .desktop
+# Instead, the game-data packages each get a .desktop.
+# However, they all use the same icon, so install it here.
+
+# Icon taken from the windows alephone.exe
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# ChangeLog is 0 bytes in 20111201 release. If updating this script,
+# check the new ChangeLog and add it here if not empty.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING README THANKS examples docs/*.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/alephone/alephone.info b/games/alephone/alephone.info
new file mode 100644
index 0000000000..4a50602922
--- /dev/null
+++ b/games/alephone/alephone.info
@@ -0,0 +1,10 @@
+PRGNAM="alephone"
+VERSION="20100424"
+HOMEPAGE="http://marathon.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/marathon/AlephOne-20111201.tar.bz2"
+MD5SUM="af1a696697fad4ea38ccc5379e6c65b5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/games/alephone/alephone.png b/games/alephone/alephone.png
new file mode 100644
index 0000000000..83e412c2ea
--- /dev/null
+++ b/games/alephone/alephone.png
Binary files differ
diff --git a/games/alephone/doinst.sh b/games/alephone/doinst.sh
new file mode 100644
index 0000000000..8542d1c18e
--- /dev/null
+++ b/games/alephone/doinst.sh
@@ -0,0 +1,5 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/alephone/slack-desc b/games/alephone/slack-desc
new file mode 100644
index 0000000000..bacd9368a7
--- /dev/null
+++ b/games/alephone/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+alephone: alephone (open-source continuation of Marathon 2 engine)
+alephone:
+alephone: Aleph One is the open source continuation of Bungie's Marathon 2
+alephone: game engine. Available for Mac OS X, Windows, and Linux, Aleph One
+alephone: supports Marathon 2 and Marathon Infinity natively, and Marathon
+alephone: through a conversion called M1A1. Many third party scenarios and net
+alephone: maps are also available.
+alephone:
+alephone: Aleph One is available under the terms of the GNU General Public
+alephone: License (GPL).
+alephone: